Verbraucherprofil abrufen
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"tenant_id": "<string>",
"email": "<string>",
"name": "<string>",
"username": "<string>",
"mfa_enabled": true,
"roles": [
"<string>"
],
"permissions": [
"<string>"
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Verbraucher (B2C)
Verbraucherprofil abrufen
Gibt das Profil des authentifizierten Verbrauchers zurück, einschließlich Name, E-Mail, MFA-Status und Rollen.
GET
/
v1
/
consumer
/
me
Verbraucherprofil abrufen
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"tenant_id": "<string>",
"email": "<string>",
"name": "<string>",
"username": "<string>",
"mfa_enabled": true,
"roles": [
"<string>"
],
"permissions": [
"<string>"
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Das Profil für den authentifizierten Verbraucher lesen. Verwenden Sie ein Consumer-Bearer-Token. Siehe Profil aktualisieren, um Präferenzen zu ändern, und Benutzernamen beanspruchen, um einen Portfolio-Benutzernamen festzulegen.

